# Contributing to SQLPad

Thank you for taking interest in contributing to SQLPad!

SQLPad is a self-hosted SQL editor accessed from your browser. It was initially created to be a quick way to run a query and visualize results, but the project is gradually shifting to be more of a general purpose SQL tool.

For the most part, SQLPad is "finished" in the sense that it will not radically grow beyond what it currently is today in regards to its feature set. SQLPad aims to provide a simple enjoyable interface for editing and running SQL from the browser, ideally geared towards a small team. SQLPad will likely not ever adopt a dashboarding use case; there are better tools suited for that such as [Redash](https://redash.io/), [Metabase](https://www.metabase.com/), or [Apache Superset](https://github.com/apache/incubator-superset).

## Contributing Bug Reports

SQLPad is using [GitHub Issues](https://github.com/rickbergfalk/sqlpad/issues) for public bugs. Before filing a new bug, try to make sure your problem doesn't already exist.

When filing a bug, please provide as much detail as you can including your environment (OS, browser, node.js version, etc.) and how you're running SQLPad (directly via node or docker container).

### Security Disclosure

For the safe disclosure of security bugs please email rick.bergfalk@gmail.com directly.

## Contributing Documentation and Community Assistance

Familiar with how SQLPad works? Feel free to watch the project and respond to any open issues. Updates to documentation are welcome as well (either via project GitHub pages or wiki).

## Contributing Code

If working on an issue, please assign the issue to your GitHub user account and/or add a comment so that efforts are not duplicated.

If you intend on adding any non-trivial features or enhancements to SQLPad for which there is not an issue, please file an issue for discussion prior to starting work. This lets us reach an agreement on your proposal before significant effort is spent on it.

Of course if you'd like to start the work without opening an issue with the understanding it may not be accepted, feel free to do so! You do you.

Once a pull request has been submitted, a maintainer will review your pull request and either merge it, request changes, or close it with an explanation.

## Collaborator Invite

If you've made a significant contribution to SQLPad you'll be invited to join as a collaborator. This will give you commit access to non-protected branches, the ability to review PRs, merge approved PRs, and lots of other things.

No pressure to accept the invite or even do anything with the access. Contribute as much or as little as you'd like, even if it is just to weigh in on the direction of the project.

## Contributing Money

Interested in paid support, sponsorship, or contracting out SQLPad development work? Please reach out to rick.bergfalk@gmail.com.

## License

By contributing to SQLPad, you agree that your contributions will be licensed under its MIT license.

## Getting Started

Ready to get started? Refer to [Developer Guide](https://github.com/rickbergfalk/sqlpad/blob/master/DEVELOPER-GUIDE.md) to learn how to build and orient yourself with the project.
