# SQLPad

A web app for writing and running SQL queries and visualizing the results. Supports Postgres, MySQL, SQL Server, Crate, Vertica, Presto, SAP HANA, Snowflake, BigQuery, SQLite, and many others via ODBC.

![SQLPad](images/screenshots/v3-beta.png)

## Database Support

<div class="db-images">
  <div class="db-container">
    <img src="images/logo-postgresql.png" data-origin="images/logo-postgresql.png" alt="Postgres" >
  </div>
  <div class="db-container">
    <img src="images/logo-mysql.png" data-origin="images/logo-mysql.png" alt="MySQL">
  </div>
  <div class="db-container">
    <img src="images/logo-sql-server.png" data-origin="images/logo-sql-server.png" alt="SQL Server">
  </div>
  <div class="db-container">
    <img src="images/logo-vertica.jpg" data-origin="images/logo-vertica.png" alt="Vertica" >
  </div>
  <div class="db-container">
    <img src="images/logo-crate.svg" data-origin="images/logo-crate.svg" alt="Crate" >
  </div>
  <div class="db-container db-container-bg">
    <img src="images/logo-presto.png" data-origin="images/logo-presto.png" alt="Presto" >
  </div>
  <div class="db-container">
    <img src="images/logo-sap-hana.jpg" data-origin="images/logo-sap-hana.jpg" alt="SAP Hana" >
  </div>
  <div class="db-container db-container-bg">
    <img src="images/logo-apachedrill.png" data-origin="images/logo-apachedrill.png" alt="Apache Drill" >
  </div>
  <div class="db-container db-container-bg">
    <img src="images/logo-cassandra.png" data-origin="images/logo-cassandra.png" alt="Cassandra" >
  </div>
  <div class="db-container">
    <img src="images/logo-snowflake.png" data-origin="images/logo-snowflake.png" alt="Snowflake" >
  </div>
  <div class="db-container">
    <img src="images/logo-bigquery.png" data-origin="images/logo-bigquery.png" alt="BigQuery" >
  </div>
  <div class="db-container">
    <img src="images/logo-sqlite.svg" data-origin="images/logo-sqlite.svg" alt="SQLite" >
  </div>
  <div class="db-container">many others via ODBC</div>
</div>

## Is SQLPad for me?

SQLPad is a self-hosted web app for writing and running SQL queries and optionally visualizing the results.

It's a simple tool for exploratory data work and visualizations, or quick convenient access to run a SQL query here and there.

## Why not SQLPad?

It's not a dashboarding tool, and likely will never become one. If you're looking for open-source dashboarding check out [Redash](https://redash.io/), [Metabase](https://www.metabase.com/) or [Superset](https://github.com/apache/incubator-superset).

It can't handle a query with 2 columns returned of the same name.

It uses an in-memory database and is intended to be run as a single instance. Running multiple instances with loadbalancing in front will yield unpredictable results.
